<template>
 <div>
     <label for="nameLabel">Please enter your name</label>
     <input id="nameInput" name="nameLabel" type="text" v-model="playerName">
     <button id="nameConfirm" @click="saveName">Start game</button>
 </div>
</template>

<script>
import {mapMutations} from 'vuex'
export default {
 methods: {
    saveName() {
        this.setPlayerName(this.playerName);
        this.$emit('start-game')
        // this.$router.push('/game')
    },
    ...mapMutations(['setPlayerName'])
 },
 data() {
     return {
        playerName: ""
     }
 }

}
</script>

<style>

</style>